<?php
session_start();
// ========================================================================================
// Valider le panier et la commande, ETAPE 2
//
// Afficher le formulaire de saisie des coordonnées.
// ========================================================================================
include "library/DB_fct.inc.php";
include "library/CART_fct.inc.php";
include "library/_baseDesign.inc.php";
// ========================================================================================
// FONCTIONS LOCALES
// ========================================================================================
// -------------------------------------------------------------------
function _menuRight(){
global $_SESSION;
global $connexion;
global $panierId;
	if (isset($_SESSION['num'])) echo "ok";
	// affichage du Panier
	CART_previewCart($panierId, "", "n");
	echo "<div class=help>Indiquez vos coordonnées puis continuer.</div>\n";
}
// -------------------------------------------------------------------
// On transmet le nom du contrôle. si il est omis, on lui donnera la valeur par défaut : paysCode 
function _dspSelectPays($ctlName='paysCode'){
global $connexion;
	echo "<select name=".$ctlName.">";
	echo "<option value=0>-- Sélectionner un pays --</option>";
	$requete_sql="SELECT * FROM pays order by libelle;";
	$requete_id=DB_ouvrirRequete($requete_sql, $connexion);
	echo mysql_error();
	
	while ($t_record=DB_lireLigne($requete_id)){
		echo "<option value=".$t_record['code']." >".$t_record['libelle']."</option>";
	}
	echo "</select>";
}
// -------------------------------------------------------------------
// liste des articles du panier. Liste simple affichage
// -------------------------------------------------------------------
function _cartList($panierId){
global $connexion;
	$prixTotal=0;
	$cartCount=CART_getCartCount($panierId);
	// Afficher la liste du panier
	echo "<!-- cart List BEGIN --><table align=center border=1 id=itemList>";
	echo " <caption>Votre panier contient $cartCount article(s) :</caption>";
	echo "<tr><td>Référence</td><td>Designation</td><td>Quantité</td><td>Prix unitaire</td><td>Prix total</td></tr>";
	
	$requete_sql="SELECT * FROM panierArticle, article 
		WHERE panierArticle.artCode=article.artCode
		AND panierId='$panierId'  ;";
	$requete_id=DB_ouvrirRequete($requete_sql, $connexion);
	$t_record=DB_lireLigne($requete_id);
	echo mysql_error();
	if ($t_record){ // si un enregistrement est trouvé :
		while ($t_record){
			$prixLigne=$t_record['panierQty']*$t_record['artPrixHT'];
			echo "<tr>";
				echo "<td>".$t_record['artCode']."</td>";
				echo "<td>".$t_record['artDesc']."</td>";
				echo "<td align=right>".number_format($t_record['panierQty'],2,',',' ')."</td>";
				echo "<td align=right>".number_format($t_record['artPrixHT'],2,',',' ')." €</td>";
				echo "<td align=right>".number_format($prixLigne,2,',',' ')." €</td>";
			echo "</tr>";
				$prixTotal+=$prixLigne;
			$t_record=DB_lireLigne($requete_id);
		}
	}
	echo "<tr><td colspan=4 align=right>Total du panier : </td><td align=right>".number_format($prixTotal,2,',',' ')." €</td></tr>";
	echo "</table><!-- Cart List END -->\n";
	// FIN Afficher la liste du panier
}
// ========================================================================================
// MAIN()
// ========================================================================================
$userId="";
$pageName="lstArt.php";
$headTitle="Liste des Articles";
$contentTitle="Choix d'un article";

// Récup des paramètres
$errorCode=false;
//(isset($_REQUEST['id'])&&!empty($_REQUEST['id']))?$panierId=$_REQUEST['id']:$panierId=0; // 
$panierId=0;
(isset($_REQUEST['id'])&&!empty($_REQUEST['id']))?$panierId=$_REQUEST['id']:$errorCode=100; // 100 panier non défini

// ========================================================================================
// connexion et ouverture de la requête à afficher
	$connexion=DB_connecter(); 

// ========================================================================================
// GESTION DES ERREURS
// ========================================================================================
// Vérifier le panier et le nombre d'articles
	$cartCount=CART_getCartCount($panierId);
	echo mysql_error();
	// EN CAS D'ERREUR : Envoi de la page de redirection de base (goToUrl())
	if (!$cartCount || empty($cartCount)){ 
		$errorCode=101; // erreur, panier vide ou indéfini
	}
	
// affichage des erreurs
// EN CAS D'ERREUR : Envoi de la page de redirection de base (goToUrl())
	if ($errorCode) {
		$message="erreur ($errorCode). <br>vous allez être redirigé vers l'index ou <a href=\"javascript:history.back()\">Demander le retour page précédente.</a>";
		$backUrlCompltete="index.php";
		_goToUrl($message, $backUrlCompltete, '', ''); // pour l'instant, on perd l'utilisateur, voir comment corriger ça ... variables de session ?
		echo $message;
		exit(0);
	}

// il n'y a pas d'erreur, on peut enregistrer les données transmises et afficher l'étape suivante.

//========================================================================
// AFFICHAGE du formulaire des coordonnées
//========================================================================
// Initialiser les variables locales
$prixTotal=0;
$returnUrl0="cdeArtLst.php?id=$panierId";
$returnUrl1="cdeCartDsp.php?id=$panierId";

//------------------------------------------------------------------------------------------------------------
// Afficher le formulaire des coordonnées
//------------------------------------------------------------------------------------------------------------
_pageHeader($userId);	// entête de page et menu

// -------------------------------------------------------------------
// DEBUT Script de contrôle de champs du formulaire
echo "
<script type=\"text/javascript\"><!--
function chk_and_go(){
	// vérifier la cohérence des données saisies
var formulaire=document.getElementById('formulaire')
	if(formulaire.invNom.value == '' ) {
		alert('Merci de saisir votre nom de facturation');   
		formulaire.invNom.focus(); //met le curseur dans le champ demandé   
		return false; //bloque l'envoi du formulaire   
	}
	if(formulaire.invAdress.value == '' ) {
		alert('Merci de saisir votre adresse de facturation');   
		formulaire.invAdress.focus(); //met le curseur dans le champ demandé   
		return false; //bloque l'envoi du formulaire   
	}
	if(formulaire.invPays.value == 0 ) {
		alert('Merci de choisir le pays de facturation');   
		formulaire.invPays.focus(); //met le curseur dans le champ demandé   
		return false; //bloque l'envoi du formulaire   
	}
	
	// si tout va bien, on passe à la suite.
	formulaire.action='cdePaiement.php';
	formulaire.submit()
}
--></script>
";
// FIN Script de contrôle de champs du formulaire

// -------------------------------------------------------------------
// DEBUT Afficher la barre de progression
echo "<!-- BEGIN progression step List --><div id=progressionBar><ul class=nobloc>";
echo "<li class=stepFisrt      ><a href='$returnUrl0'>Catalogue</a></li>"; // retour catalogue
echo "<li class=stepPrevious   ><a href='$returnUrl1'>Panier</a></li>"; // valider le panier
echo "<li class=stepCurrent    >Coordonnées</li>"; // valider les coordonnées
echo "<li class=stepNext       >Paiement</li>"; // valider le paiement
echo "<li class=stepFutureLast >Confirmation</li>"; // confirmer la commande (fin)
echo "</ul></div><!-- END progression step List -->\n";
// FIN Afficher la barre de progression

// -------------------------------------------------------------------
// BEGIN Afficher l'espace de données
echo "<div id=data><!-- data Space BEGIN-->\n";
echo "<h3>Etape 2 : Coordonnées</h3>";

// -------------------------------------------------------------------
// BEGIN Formulaire ----------------
echo "<!-- BEGIN Formulaire --><form id=formulaire>\n";
	echo "<input type=hidden name=id value=$panierId />";
	echo "<input type=hidden name=delIsInv />";
	echo "<input type=hidden name=delNom />";
	echo "<input type=hidden name=delAdress />";
	echo "<input type=hidden name=delPays />";
	
	// BEGIN Formulaire de saisie des coordonnées : invoice coords (fait) et delivery coords (non développé)
	// *vl = pour la version longue des tables "panier" et "tier" ===>>> non développé
		echo "<!-- BEGIN Coord Form data --><table align=center border=1 class=formData>";
		echo "<tr><td>";
			echo "<!-- BEGIN invoice coord Form --><table align=center border=1 class=formData>";
			echo "<tr><th colspan=2>Adresse de Facturation</th></tr>";
			echo "<tr><td>Nom, prénom <font color=red>*</font></td><td><input type=text name=invNom id=invNom placeholder ='nom' /></td></tr>";
// *vl			echo "<tr><td>Nom <font color=red>*</font></td><td><input type=text name=invNom placeholder ='nom'></td></tr>";
// *vl			echo "<tr><td>Prénom <font color=red>*</font></td><td><input type=text name=invPrenom placeholder =\"prenom\"></td></tr>";
			echo "<tr><td>Adresse complète <font color=red>*</font></td><td><textarea name=invAdress id=invAdress placeholder='Adresse' /></textarea></td></tr>";
// *vl			echo "<tr><td>N°, Rue <font color=red>*</font></td><td><input type=text name=invRue placeholder='N°, rue'></td></tr>";
// *vl			echo "<tr><td>Code postal <font color=red>*</font></td><td><input type=text name=invCodeZip placeholder ='Code Postal'></td></tr>";
// *vl			echo "<tr><td>Ville <font color=red>*</font></td><td><input type=text name=invVille placeholder ='Ville'></td></tr>";
// del			echo "<tr><td>Pays <font color=red>*</font></td><td><input type=text name=invPays placeholder ='Pays'></td></tr>";
			echo "<tr><td>Pays <font color=red>*</font></td><td>";
				_dspSelectPays('invPays');
			echo "</td></tr>";
			echo "</table><!-- END invoice coord Form -->";
		echo "</td></tr>";
		echo "</table><!-- END Coord Form data -->";
	// END Formulaire de saisie des coordonnées
	
	// -------------------------------------------------------------------
	// Afficher les boutons d'action
		echo "<!-- BEGIN Form btn List --><table align=center border=1 id=navBtn><tr>";
		echo "<td><input type=button onclick=\"document.location='$returnUrl0';\" name=back value='Retour choix' /></td>";
		// echo "<td><input type=button onclick=\"\" name=Cancel value='Vider le panier' /></td>";
		echo "<td><input type=button onclick=\"chk_and_go();\" name=step2 value='Etape suivante' /></td>";
		echo "</tr></table><!-- END Form btn List -->\n";
	// FIN Afficher les boutons d'action
	
	echo "</form><!-- END Formulaire -->\n";
	// END Formulaire ----------------
	
	// -------------------------------------------------------------------
	// Afficher le panier
	_cartList($panierId);

echo "</div><!-- data Space END-->\n";
// END Afficher l'espace de données
//========================================================================
// fin de page
//========================================================================
_pageFooter(); // pied de page
?>